| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
THistSvc::THistID Struct Reference
Collaboration diagram for THistSvc::THistID:
[legend]

## Public Member Functions
| THistID ()
| THistID (const THistID &rhs)
| THistID (std::string &i, bool &t, TObject *o, TFile *f)
| THistID (std::string &i, bool &t, TObject *o, TFile *f, Mode m)
bool | operator< (THistID const &rhs) const

## Public Attributes
std::string | id
bool | temp
TObject * | obj
TFile * | file
Mode | mode

## Detailed Description

Definition at line 96 of file THistSvc.h.

## Constructor & Destructor Documentation

THistSvc::THistID::THistID | ( |  | ) |
| inline

Definition at line 103 of file THistSvc.h.

103 : id( "" ), temp( true ), obj( 0 ), file( 0 ), mode( INVALID ) {}
THistSvc::INVALID
Definition: THistSvc.h:94
THistSvc::THistID::file
TFile * file
Definition: THistSvc.h:100
THistSvc::THistID::id
std::string id
Definition: THistSvc.h:97
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:99
THistSvc::THistID::temp
bool temp
Definition: THistSvc.h:98
THistSvc::THistID::mode
Mode mode
Definition: THistSvc.h:101

THistSvc::THistID::THistID | ( | const THistID & | rhs | ) |
| inline

Definition at line 104 of file THistSvc.h.

104 : id( rhs.id ), temp( rhs.temp ), obj( rhs.obj ), file( rhs.file ), mode( rhs.mode )
105 {
106 }
THistSvc::THistID::file
TFile * file
Definition: THistSvc.h:100
THistSvc::THistID::id
std::string id
Definition: THistSvc.h:97
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:99
THistSvc::THistID::temp
bool temp
Definition: THistSvc.h:98
THistSvc::THistID::mode
Mode mode
Definition: THistSvc.h:101

THistSvc::THistID::THistID | ( | std::string & | i,
|  | bool & | t,
|  | TObject * | o,
|  | TFile * | f
| ) |  |
| inline

Definition at line 107 of file THistSvc.h.

107 : id( i ), temp( t ), obj( o ), file( f ), mode( INVALID )
108 {
109 }
THistSvc::INVALID
Definition: THistSvc.h:94
THistSvc::THistID::file
TFile * file
Definition: THistSvc.h:100
THistSvc::THistID::id
std::string id
Definition: THistSvc.h:97
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:99
THistSvc::THistID::temp
bool temp
Definition: THistSvc.h:98
THistSvc::THistID::mode
Mode mode
Definition: THistSvc.h:101

THistSvc::THistID::THistID | ( | std::string & | i,
|  | bool & | t,
|  | TObject * | o,
|  | TFile * | f,
|  | Mode | m
| ) |  |
| inline

Definition at line 110 of file THistSvc.h.

111 : id( i ), temp( t ), obj( o ), file( f ), mode( m )
112 {
113 }
THistSvc::THistID::file
TFile * file
Definition: THistSvc.h:100
THistSvc::THistID::id
std::string id
Definition: THistSvc.h:97
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:93
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:99
THistSvc::THistID::temp
bool temp
Definition: THistSvc.h:98
THistSvc::THistID::mode
Mode mode
Definition: THistSvc.h:101

## Member Function Documentation

bool THistSvc::THistID::operator< | ( | THistID const & | rhs | ) | const
| inline

Definition at line 115 of file THistSvc.h.

115 { return ( obj < rhs.obj ); }
THistSvc::THistID::obj
TObject * obj
Definition: THistSvc.h:99

## Member Data Documentation

TFile* THistSvc::THistID::file

Definition at line 100 of file THistSvc.h.

std::string THistSvc::THistID::id

Definition at line 97 of file THistSvc.h.

Mode THistSvc::THistID::mode

Definition at line 101 of file THistSvc.h.

TObject* THistSvc::THistID::obj

Definition at line 99 of file THistSvc.h.

bool THistSvc::THistID::temp

Definition at line 98 of file THistSvc.h.

The documentation for this struct was generated from the following file:

- GaudiSvc/src/THistSvc/THistSvc.h